UPDATE & Stop the Spammers! Rated 5 out of 5 stars

Sounds like this plug-in needs an update for FF4*. Is there ANY way to ignore scripts @including too widely? Seriously I only want to know about scripts that currently run ON THIS PAGE that i'm currently visiting.

This review is for a previous version of the add-on (1.0.4).